Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:    	OpenCDK - Open Crypto Development Kit v0.5
Name:      	opencdk
Version:   	0.6.6
Release:   	1
Provides:	opencdk
License: 	GNU/GPL
URL:		ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/opencdk/
Group:    	System/Libraries
Source0: 	opencdk-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  libgcrypt-devel 
BuildRequires:  libgpg-error-devel

# TODO : remove when dependencies are satisfied
Provides:	libopencdk.so.8, libopencdk.so.8(OPENCDK_5)

%description
This library provides basic parts of the OpenPGP message format.
For reference, please read the rfc2440.txt in the doc/ directory.
Due to some possible security problems, the library also implements
parts of draft-ietf-openpgp-rfc2440bis-08.txt. If you want to exchange
messages with earlier PGP version < 7, you should use the compat mode.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke,
alter preferences, ...) and some other parts are only rudimentary
available. The main purpose is to handle and understand OpenPGP
packets and to use basic operations. For example to encrypt/decrypt
or to sign/verify and packet routines.

%package devel
Summary: 	opencdk development headers.
Group:     	System/Libraries          
Requires: 	opencdk = %{version}-%{release}

%description devel
Header and include files for developing applications with opencdk.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n opencdk-%{version}

%build
./configure --prefix=%_prefix --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_bindir/opencdk-config
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-1
- Version update
* Wed Aug 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.9-1
- Version update
* Sun Oct 23 2005 Christian Wasem <wasem@ccux-linux.de> 0.5.8-1
- Update to Version 0.5.8
* Sun Jul 17 2005 Christian Metzen <metzench@ccux-linux.de> 0.5.7-2
- Moved more files to devel package
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.5.7-1
- Version Update to 0.5.7
* Fri Nov 05 2004 Christian Metzen <metzench@ccux-linux.de> 0.5.5-1
- Initial Release
